# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.91
%define module_name Crypt-RHash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.91
Release: alt2.1
Summary: Library for computing hash sums and magnet links
Group: Development/Perl
License: unrestricted
URL: http://rhash.sf.net/

Source0: http://cpan.org.ua/authors/id/R/RH/RHASH/%module_name-%module_version.tar.gz

%description
Crypt::Rhash module is an object-oriented interface to the LibRHash library,
allowing simultaneous calculation of several hash functions for a file  or a
text message.

Resulting hash digest can be obtained in hexadecimal, BASE32, BASE64, raw
binary format or as a magnet link.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.91-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.91-alt2
- rebuild to get rid of unmets

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.91-alt1
- initial import by package builder

